Bug 105461 - Highlighting text in textbox is lost when exporting in pdf
Summary: Highlighting text in textbox is lost when exporting in pdf
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.4.6.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1 target:5.2....
Keywords:
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2017-01-21 07:17 UTC by Jean-Baptiste Faure
Modified: 2017-09-06 06:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
document example with a textbox containing an highlighted text (18.69 KB, application/vnd.oasis.opendocument.text)
2017-01-21 07:19 UTC, Jean-Baptiste Faure
Details
Impress reproducer (13.56 KB, application/vnd.oasis.opendocument.presentation)
2017-02-01 13:06 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2017-01-21 07:17:40 UTC
Description:
Highlighting text in textbox inserted in a text document is lost when exporting in pdf format and printing to file.






Steps to Reproduce:
1/ open a new empty text document
2/ insert a textbox
3/ in this textbox type some text
4/ select the text in the textbox and apply an highlight color
5/ export the document as pdf or print to file


Actual Results:  
Current behavior : the pdf shows the text without highlight color
Note: if you apply some font effects like color or overlining, they are correctly exported in the pdf.

Expected Results:
Expected: the pdf shows the text highlighted


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Jean-Baptiste Faure 2017-01-21 07:19:21 UTC
Created attachment 130592 [details]
document example with a textbox containing an highlighted text
Comment 2 Jean-Baptiste Faure 2017-01-21 07:23:28 UTC
Reproducible with LO 5.3.1.0+ and current master:
Version: 5.4.0.0.alpha0+
Build ID: 8fa02e0b6ad67c34c23e99140c236153eb7e3faf
Threads CPU : 4; Version de l'OS :Linux 4.4; UI Render : par défaut; VCL : gtk3; 
Ubuntu_16.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: group

Best regards. JBF
Comment 3 V Stuart Foote 2017-01-21 17:09:29 UTC
On Windows 10 Pro 64-bit en-US with
Version: 5.3.0.2 (x64)
Build ID: 5ad7b2889021c491af62f7930a4b1cb631392f16
CPU Threads: 8; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: en-US (en_US); Calc: group

Printing via a ghostscript based app to PDF retains the highlight of text in a a Text Box.

Confirming that LibreOffice Export to PDF is dropping the highlighting of the text. With default GDI and OpenGL based rendering.

Area fill of the Text box object's frame is passed through with both print and export.
Comment 4 Telesto 2017-01-21 19:40:01 UTC
Also found in:
Versie: 4.4.6.3 
Build ID: e8938fd3328e95dcf59dd64e7facd2c7d67c704d
Locale: nl_NL

No support for highlighting within a textbox in: 
Version: 4.3.0.4
Build ID: 62ad5818884a2fc2e5780dd45466868d41009ec0
Comment 5 rotrocs 2017-01-24 18:15:39 UTC
Bug confirmed :

Version Libre Office: 5.1.4.2
OS : XUBUNTU 16
Version de l'OS :Linux 4.4
Locale : fr-FR

Sorry for my small message, I don't speak english...
Comment 6 Miklos Vajna 2017-01-31 17:12:19 UTC
I'll look at this.
Comment 7 Commit Notification 2017-02-01 12:05:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee32c7d8083ae1449d6b379034be92995c142da9

tdf#105461 PDF export: handle text fill color

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Miklos Vajna 2017-02-01 13:06:16 UTC
Created attachment 130813 [details]
Impress reproducer

FWIW this help anything editeng-based, not just Writer shape text, but also e.g. any Impress text.
Comment 9 Commit Notification 2017-02-01 17:39:20 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=27d641761cff82ed34987ac1f70b838f1028bc6e&h=libreoffice-5-3

tdf#105461 PDF export: handle text fill color

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Jean-Baptiste Faure 2017-02-01 20:03:10 UTC
Thank you very much Miklos for the quick fix!

Verified fixed for booth cases, Writer and Impress, in 
Version: 5.3.1.0.0+
Build ID: 27d641761cff82ed34987ac1f70b838f1028bc6e
Threads CPU : 4; Version de l'OS :Linux 4.4; UI Render : par défaut; VCL : gtk3; Moteur de mise en page : nouveau; 
Ubuntu_16.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: group

Best regards. JBF
Comment 11 Jean-Baptiste Faure 2017-02-02 07:51:46 UTC
Verified too in master:
Version: 5.4.0.0.alpha0+
Build ID: 4ec3d8cedebb83700e3254486d6d3a502584c9b1
Threads CPU : 4; Version de l'OS :Linux 4.4; UI Render : par défaut; VCL : gtk3; 
Ubuntu_16.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: group

Best regards. JBF
Comment 12 Commit Notification 2017-02-02 20:24:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=264f2265884b3d50103a5315c6bd46df3be04451&h=libreoffice-5-2

tdf#105461 PDF export: handle text fill color

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Jean-Baptiste Faure 2017-02-02 21:23:25 UTC
Verified in LO 5.2.6.0.0+ too:
Version: 5.2.6.0.0+
Build ID: 264f2265884b3d50103a5315c6bd46df3be04451
Threads CPU : 4; Version de l'OS :Linux 4.4; UI Render : par défaut; VCL : gtk3; 
Ubuntu_16.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: single

Best regards. JBF
Comment 14 Jean-Baptiste Faure 2017-02-03 22:07:19 UTC
Set to verified fixed per comments 10, 11 and 13.

Best regards. JBF
Comment 15 Commit Notification 2017-02-27 08:12:09 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e203ca3915e0cee2e7e02b95e78b3f5a8870098

tdf#105461 vcl: add text highlight textcase

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2017-05-23 07:10:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=919a4ef592b6026a7533a93682f39118fef29ce8

tdf#105461 PDF export of editeng fill color: restrict to logic map modes

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Miklos Vajna 2017-05-23 09:11:41 UTC
Should have been bug 107868.
Comment 18 Commit Notification 2017-05-23 10:06:52 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98a5f3929af349beee2866e558922f9a3fb19923&h=libreoffice-5-4

tdf#105461 PDF export of editeng fill color: restrict to logic map modes

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.